summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2016-05-11 00:09:09 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2016-05-11 00:14:45 +0200
commit8fd26a3e824c3136b21949442dddee1b3e49c59f (patch)
tree874b1d09fdd3466ff2d33733287312b8de5bc598 /www-apps/owncloud
parentmedia-gfx/imagemagick: Bump to version 7.0.1.3 (diff)
downloadgentoo-8fd26a3e824c3136b21949442dddee1b3e49c59f.tar.gz
gentoo-8fd26a3e824c3136b21949442dddee1b3e49c59f.tar.bz2
gentoo-8fd26a3e824c3136b21949442dddee1b3e49c59f.zip
www-apps/owncloud: maintenance release bumps
Fixes bug #582252 Package-Manager: portage-2.2.28
Diffstat (limited to 'www-apps/owncloud')
-rw-r--r--www-apps/owncloud/Manifest5
-rw-r--r--www-apps/owncloud/owncloud-7.0.14.ebuild45
-rw-r--r--www-apps/owncloud/owncloud-8.0.12.ebuild52
-rw-r--r--www-apps/owncloud/owncloud-8.1.7.ebuild52
-rw-r--r--www-apps/owncloud/owncloud-8.2.4.ebuild52
-rw-r--r--www-apps/owncloud/owncloud-9.0.2.ebuild48
6 files changed, 254 insertions, 0 deletions
diff --git a/www-apps/owncloud/Manifest b/www-apps/owncloud/Manifest
index 1bb8bdb65eb..6014df76093 100644
--- a/www-apps/owncloud/Manifest
+++ b/www-apps/owncloud/Manifest
@@ -1,10 +1,15 @@
DIST owncloud-7.0.12.tar.bz2 28498821 SHA256 d1a0f73f5094ec1149b50e2409b5fea0a9bebb16d663789d4b8f98fed341aa91 SHA512 7795550022622bde6b4b43b2d1867410b223c99b02ea8d2c63d0e6f09eb5c3bd7a9e2115e6efd87c64e27fa50b61c44c42d3103107f0389f5733e0a702d25818 WHIRLPOOL f27fdc52cd8ecc4db0f3fe5dde04ff1eef384a79318fdc94aab4e3b0e09f247f512310fce724dfd5c85415f752b7476af59b618bbb9646a5f333438b00b86a65
DIST owncloud-7.0.13.tar.bz2 28749539 SHA256 f45cc6aaf4802b7b07b015dfbef753e792598001c2ae8cb4b3f2a711fd305edc SHA512 f82abb005201f5675556d65f1870266d14e70aff7d096cd88f2d4cf46ecb61388e8b1334dbbf52b12f31ea71dda0bf815aae0d867734c03e57e39198d794d30b WHIRLPOOL 4f9a2da5f6c6b0c3cf429d1b149c8f96940a9634edd3aee87c86f2bad0968996b4f73a5142b55cdcda665a8414e9f2b4824e5cd37614888b43c1aabdf8862607
+DIST owncloud-7.0.14.tar.bz2 28750021 SHA256 9ad0c6928c38c8fbc4dab9d51ce79d1e9489934a773c794c69bb19c9c135e366 SHA512 0ba4230ba433d29afbb41b5cea8d32356162627e82b83c15a24e863f62bd2ed006ad8f6c334ca99c09ec66e1afe62519c75c0165d0afd16d32502807b8896cc4 WHIRLPOOL 381334d1a0bc315bc06e3e76294f86c9906989a9738b2f47a31ad1bcaed7873b7abb22ec242de8c4bbe114e0d57a2401679f4a10790facd6e6101c8cccd166f9
DIST owncloud-8.0.10.tar.bz2 26165073 SHA256 3054b997f258178b57efc526e14384829ac8ab94757191f2d03c13fcb0a3cd93 SHA512 dd1664d0858ca55ac0009182ee079fd5f18bba034e26a0d69ae3238a9dda5b87f2dcc2b96092f2d813356ff929847860f48c466c922fd610a888715450a79d69 WHIRLPOOL 8d8ce24c77052828bb4475ff6a121f3029f75e8ca4693102e7ee8be99da58692b3c3763877dd0b4ab8ef7d7c17aff6a1ca201ab3116e98450083fe483063171c
DIST owncloud-8.0.11.tar.bz2 25091256 SHA256 3b3a88e604d9e948d4bd79160615497cea4d12e75e6487bae1510df976a2f28a SHA512 a93461c40eef9ed5168b4438637b2fb2340774703ed34d0113e9a1dde178e0b11b72117685b45e5c16501580b60c2dce589f8670eea4574fd5d3ee95f8d84914 WHIRLPOOL 323aa5e42818397f4f26d99cf51dbbda03b53d888f34fae953e596ef6e7f623f786821074a291800e171a7b168d6904cf3de3f827edc23d995d1ed31490a02d5
+DIST owncloud-8.0.12.tar.bz2 23619155 SHA256 e08527d51410fea44000895699b3ce35508681836c65b222dd8117e567cac812 SHA512 feb318fa13bd73a3ff3da7b7448b04734681b54180dac688797e78468ad234966756b2c6011ffb717149638c606f8025291f7b4e05c24d0f6b48d14a46f6b7f2 WHIRLPOOL b70d2dcfbd04f042102d3ea7ae0c46bc4b04bdcfdead82d8ef48e167d7b2e48721ec2c7e74474c67682fd6e05f26da8ecd42da82967c03c258c5f043a9cee210
DIST owncloud-8.1.5.tar.bz2 27250814 SHA256 6d8687e40af32c5ca5adfea3fee556ed987b77ad15a1ead5d40cc87a8b76f4b4 SHA512 961a78e0c0367da2542ec41e5f9c2e4edccb4cdb004a78c4bc3ae7884457b595102e4e0ff5e667a61853d71fbb466b96a0cd3386ab7ec5e2f96c2c141995ab30 WHIRLPOOL f72024042730a693fd3425b65fd2a1f53002aaa65df51b9e65dc297657665c7df32c05dcd1b5319f46f0e4554bf75d2192831b9c786bca5e2c55de73d807a091
DIST owncloud-8.1.6.tar.bz2 25992947 SHA256 b137b518f2f41d944f722cb0c31b82372663ebffbd4e747369416f7c1565df19 SHA512 00093d89f6c06f023177644b3800cc1c39a84be0a46dcb42b3485aec84970bee310db024bc7aa67363d2cf497136aa13643fa746185ade6d0213902112005be3 WHIRLPOOL 7967f23c708c7ace5d4a47798a0f57d715b897a31ba3ed475f0fcecb046b85bf80b6ac267a268e229c3bc0b2539d59fcb53075b54a0f99284709bd08f09c3fc4
+DIST owncloud-8.1.7.tar.bz2 24514152 SHA256 27468674ee6266e43b7c83fae3827a82b0889adc06c9b0a4a6eb1ee8bb3a8676 SHA512 74859f23367c43b2aec03209ba1dce6bcf57b9aeaabec597655bd3f606c7cdd992ae0314446e0ea360963198a61b8e598de3184b2391e90997b969a666bfbf64 WHIRLPOOL 242af3ea19a93ce75b12ef9c628376ba4bceee46cf60b5ab162abca41d1a19d34fe57d9a7e3162f97f4fa3051ff7a61ea9161dc1e942ca4fb8e61f9a41282fd3
DIST owncloud-8.2.2.tar.bz2 28922075 SHA256 d5b935f904744b8b40b310f19679702387c852498d0dc7aaeda4555a3db9ad5b SHA512 3830e8311931da3cbb596e927afe638dee6a5d9fd47d623faf4dabbde96fe39ced1bf7006c1b9e39ff52e72e2b849fe9d1012c3b1a86ca9f8c873d820b944b78 WHIRLPOOL 4338b16514f4b9499cc905e5c207358b983fd19598aaac33f8d682bc3855436f908c949ed046c109d3faca8c2735c5280fce4e4101ee46549e8cb5e81ac1a4c6
DIST owncloud-8.2.3.tar.bz2 25809649 SHA256 3cec2a7bf2a7babebc8bf9ebd39e538a707a7a3baca97d883d539f2b89c01c73 SHA512 56cd2a6092568721730dd3826784fa3cb103c799dcf8a635e9383aac4c1a2117223187d57f875e0c97714e29cf39f7d49181f08d56fad0adaa8a78c4225f329a WHIRLPOOL bc1d3862e44d52d1a353f22d36038135cca53858022696d77d6e5aa3a7ded1d8317e4f074df7ed455229ed30f288da0f1cc4b67612e85b6ef7d8c20a235e94f6
+DIST owncloud-8.2.4.tar.bz2 27897507 SHA256 1aec1e93746a59db1cc9a97c3d03254224e1c65340613a1068fda72f3525790d SHA512 ce4b5c6f03f43499ff402d4a9b5e42f8490a116cc5a47b0ee10b67a5c521875bd2fee1bcfa3807542914e1e0875b95d04f20020b13b032ec9ded9e190440566e WHIRLPOOL 5b356b785bd6b2243b06df51bd10aa816861fb2e6af6c64da6ace770848671acbc960d735b93029dc595f75728af5beb2ea052ff04ff9d39865f2d68252e39dc
DIST owncloud-9.0.0.tar.bz2 22678208 SHA256 d16737510a77a81489f7c4d5e19b0756fa2ea1c5081ba174b0fec0f00da3a77c SHA512 c82f42d227ee59ed2875133230e303a0b51ee28b21e4d3c253d2f142aed514050e3138f57082d02350a3c7a69f28ba34d3fb4dc86ce51384119c817196963e55 WHIRLPOOL 82a1df4d04e95ea4987309b1ae1b665789c9a430a411bf346d0e035dee9fbe19eebbbac39aefe7f91d021b0c3d4f2f38a76f272d5c8b54a50cf4fcba50f6d0b3
DIST owncloud-9.0.1.tar.bz2 24700669 SHA256 44c98ffa3b957faf3af884cafa1d88c05762b65452592768a926e2c3c3a66615 SHA512 c957993a6f29c5c445636b4ebc570a83d8b8889a280689d2fa719adcef3c5c0e726ac5b29488390512a9d13bbea52a9bd0316aecb81e8e2d2f037c32f9332b22 WHIRLPOOL 70760c888ec4c2ed7df48d77f266d4fe32a147fd401ef4a312ffbc49616cb14eb6acd095930cb1283849d5226569f60833c348f4e936796b0b85528e0ecad8f0
+DIST owncloud-9.0.2.tar.bz2 24487988 SHA256 845c43fe981fa0fd07fc3708f41f1ea15ecb11c2a15c65a4de191fc85b237c74 SHA512 3ae3e107e38bae273ce0e689352a1b9d97ce7eef7b1b5ea01dc4f97479045d3d861b7c0f708ab88480414aac9f15e069a4750096ff6f89a40812c8cdd7a26cd4 WHIRLPOOL 05db2fb0ee1bf55c7b80b98e31257856d3157568e74f3d8a6c1205e38ec864ba7d1b143a90046074552763e6383d8156b5e84d60ba6ddacf2b0d0d571ed0285b
diff --git a/www-apps/owncloud/owncloud-7.0.14.ebuild b/www-apps/owncloud/owncloud-7.0.14.ebuild
new file mode 100644
index 00000000000..112e971bfa3
--- /dev/null
+++ b/www-apps/owncloud/owncloud-7.0.14.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,postgres?,session,simplexml,sqlite?,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
diff --git a/www-apps/owncloud/owncloud-8.0.12.ebuild b/www-apps/owncloud/owncloud-8.0.12.ebuild
new file mode 100644
index 00000000000..98c81ffae5b
--- /dev/null
+++ b/www-apps/owncloud/owncloud-8.0.12.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-8.1.7.ebuild b/www-apps/owncloud/owncloud-8.1.7.ebuild
new file mode 100644
index 00000000000..98c81ffae5b
--- /dev/null
+++ b/www-apps/owncloud/owncloud-8.1.7.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-8.2.4.ebuild b/www-apps/owncloud/owncloud-8.2.4.ebuild
new file mode 100644
index 00000000000..98c81ffae5b
--- /dev/null
+++ b/www-apps/owncloud/owncloud-8.2.4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-9.0.2.ebuild b/www-apps/owncloud/owncloud-9.0.2.ebuild
new file mode 100644
index 00000000000..8c09a8d21b8
--- /dev/null
+++ b/www-apps/owncloud/owncloud-9.0.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}